/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break IS2T warranties on the whole library.
 */
package com.espressif.esp_idf;

/**
 * See <code>esp_err.h</code> C header file.
 * <p>
 * See WARNING.txt.
 * </p>
 */
public interface esp_err {

	/**
	 * See <code>#define ESP_OK</code>.
	 */
	public static final int ESP_OK = 0;

	/**
	 * See <code>#define ESP_FAIL</code>.
	 */
	public static final int ESP_FAIL = -1;

	/**
	 * See <code>#define ESP_ERR_NO_MEM</code>.
	 */
	public static final int ESP_ERR_NO_MEM = 0x101;

	/**
	 * See <code>#define ESP_ERR_INVALID_ARG</code>.
	 */
	public static final int ESP_ERR_INVALID_ARG = 0x102;

	/**
	 * See <code>#define ESP_ERR_INVALID_STATE</code>.
	 */
	public static final int ESP_ERR_INVALID_STATE = 0x103;

	/**
	 * See <code>#define ESP_ERR_INVALID_SIZE</code>.
	 */
	public static final int ESP_ERR_INVALID_SIZE = 0x104;

	/**
	 * See <code>#define ESP_ERR_NOT_FOUND</code>.
	 */
	public static final int ESP_ERR_NOT_FOUND = 0x105;

	/**
	 * See <code>#define ESP_ERR_NOT_SUPPORTED</code>.
	 */
	public static final int ESP_ERR_NOT_SUPPORTED = 0x106;

	/**
	 * See <code>#define ESP_ERR_TIMEOUT</code>.
	 */
	public static final int ESP_ERR_TIMEOUT = 0x107;

	/**
	 * See <code>#define ESP_ERR_INVALID_RESPONSE</code>.
	 */
	public static final int ESP_ERR_INVALID_RESPONSE = 0x108;

	/**
	 * See <code>#define ESP_ERR_INVALID_CRC</code>.
	 */
	public static final int ESP_ERR_INVALID_CRC = 0x109;

	/**
	 * See <code>#define ESP_ERR_INVALID_VERSION</code>.
	 */
	public static final int ESP_ERR_INVALID_VERSION = 0x10A;

	/**
	 * See <code>#define ESP_ERR_INVALID_MAC</code>.
	 */
	public static final int ESP_ERR_INVALID_MAC = 0x10B;

}
