/*
 * Java
 *
 * Copyright 2015-2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.management.util;

import java.util.logging.Level;
import java.util.logging.Logger;

import com.microej.wadapps.kernel.SystemEventsHandler;

import ej.components.dependencyinjection.ServiceLoaderFactory;
import ej.exit.ExitHandler;
import ej.wadapps.management.ActivitiesScheduler;

/**
 *
 */
public class ManagementSystemEventsHandler implements ExitHandler, SystemEventsHandler {

	@Override
	public void exit() {
		ActivitiesScheduler activitiesScheduler = ServiceLoaderFactory.getServiceLoader()
				.getService(ActivitiesScheduler.class);
		if (activitiesScheduler != null) {
			Logger.getLogger(this.getClass().getName()).log(Level.FINE, "Exiting to Launcher"); //$NON-NLS-1$
			// go back to launcher
			activitiesScheduler.showLauncher();
		} else {
			Logger.getLogger(this.getClass().getName()).log(Level.WARNING, "No Launcher, exit ignored."); //$NON-NLS-1$
		}
	}

	@Override
	public void handleHomeEvent() {
		exit();
	}
}
