/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import java.io.IOException;


/**
 * A switch that communicates its state.
 */
public class SwitchWithReturnStateProxy extends DeviceProxy<SwitchWithReturnState> implements SwitchWithReturnState {

	@Override
	public void on() throws IOException {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public void off() throws IOException {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public int getLastKnownState() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return BinaryState.UNKNOWN;
		}
	}

	@Override
	public void requestStateUpdate() throws IOException {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

}
