/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event;

import ej.ecom.Device;
import ej.kf.Proxy;

public class EventHandlerProxy<D extends Device, E extends Event<D>> extends Proxy<EventHandler<D, E>> implements EventHandler<D, E> {

	@Override
	public void handleEvent(E event) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

	@Override
	public void handleError(E error) {
		try {
			invoke();
		} catch (Throwable e) {
			return;
		}
	}

}
