/*
 * Java
 *
 * Copyright 2014-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.components;

import ej.annotation.Nullable;

/**
 * A service provider is able to retrieve services implementation.
 */
public interface ServiceProvider {

	/**
	 * Gets the instance of the given service.
	 *
	 * @param service
	 *            the service.
	 * @param <T>
	 *            the service type.
	 * @return the instance of the given service.
	 */
	@Nullable
	<T> T getService(Class<T> service);

}
