/*
 * Java
 *
 * 2015-2020 ESR - Not subject to Copyright.
 * This document has been released and published by E-S-R consortium, a non-profit entity.
 * To learn more about E-S-R consortium, please visit http://www.e-s-r.net/.
 * The matter contained in this document is not subject to copyright; you are free to use it for any purpose, for more information see E-S-R consortium policies.
 */
package ej.microui.event;

import java.security.Permission;

import ej.annotation.Nullable;

/**
 * Permission to handle events generated by an {@link EventGenerator}. Permission is checked when calling
 * {@link EventGenerator#setEventHandler(EventHandler)}.
 */
public class EventPermission extends Permission {

	/**
	 * Creates a permission for events generated by the given event generator with <code>null</code> as name.
	 *
	 * @param gen
	 *            the event generator.
	 */
	public EventPermission(@Nullable EventGenerator gen) {
		super(null);
	}

	/**
	 * Gets the event generator handled by this permission.
	 *
	 * @return the event generator.
	 */
	public @Nullable EventGenerator getEventGenerator() {
		throw new RuntimeException();
	}

	@Override
	public boolean equals(@Nullable Object obj) {
		throw new RuntimeException();
	}

	@Override
	public String getActions() {
		throw new RuntimeException();
	}

	@Override
	public int hashCode() {
		throw new RuntimeException();
	}

	@Override
	public boolean implies(Permission permission) {
		throw new RuntimeException();
	}

}
