/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.dimension;

import ej.style.container.Rectangle;

/**
 * Represents a dimension constraint for an element.
 */
public interface Dimension {

	/**
	 * Applies the dimension to the given size.
	 * <p>
	 * The content bounds is updated.
	 *
	 * @param contentBounds
	 *            the content bounds.
	 * @param sizeHint
	 *            the size hint.
	 */
	void apply(Rectangle contentBounds, Rectangle sizeHint);

}
