/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.font.filter;

/**
 * Represents a filter on a given argument.
 *
 * @param <T>
 *            the type of element to check.
 */
public interface Filter<T> {

	/**
	 * Checks whether or not the specified element is accepted.
	 *
	 * @param element
	 *            the element to test.
	 * @return <code>true</code> if the element is accepted by the filter, <code>false</code> otherwise.
	 */
	boolean accept(T element);
}
