/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.font.filter;

import ej.microui.display.Font;

/**
 * Implementation that filters fonts on their size.
 */
public class FontStyleFilter implements Filter<Font> {

	private int style;

	/**
	 * Creates a font filter that filters font on the given style.
	 *
	 * @param style
	 *            the style to use for the filter.
	 */
	public FontStyleFilter(int style) {
		this.style = style;
	}

	/**
	 * Sets the style.
	 *
	 * @param style
	 *            the style to use for the filter.
	 */
	public void setStyle(int style) {
		this.style = style;
	}

	@Override
	public boolean accept(Font element) {
		return element.getStyle() == this.style;
	}

}
