/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.font.loader;

import ej.microui.display.Font;
import ej.style.font.FontProfile;

/**
 * A font loader is responsible for loading the fonts. It maps a MicroUI font to a font profile.
 */
public interface FontLoader {

	/**
	 * Gets the MicroUI font matching the given font profile.
	 *
	 * @param fontProfile
	 *            the font profile to match.
	 * @return the display font.
	 */
	Font getFont(FontProfile fontProfile);

}
