/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.util.property;

/**
 * A property loader that searches in system properties.
 *
 * @see System#getProperty(String)
 * @see System#getProperty(String, String)
 */
public class SystemPropertyLoader implements PropertyLoader {

	@Override
	public String getProperty(String key) {
		return System.getProperty(key);
	}

	@Override
	public String getProperty(String key, String defaultValue) {
		return System.getProperty(key, defaultValue);
	}
}
