/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import ej.kf.Proxy;
import ej.observable.Observer;
import ej.wadapps.app.Notification;

class NotificationsManagerProxy extends Proxy<NotificationsManager> implements NotificationsManager {

	@Override
	public void addObserver(Observer observer) throws NullPointerException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void deleteObserver(Observer observer) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void notify(Notification notification) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void cancel(String tag) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void cancelAll() {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public Notification[] getNotifications() {
		try {
			return (Notification[]) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return new Notification[0];
		}
	}

}
