/*
 * Java
 *
 * Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.property;

import ej.components.dependencyinjection.SystemPropertiesServiceLoader;

/**
 * The factory that retrieves the unique instance of the
 * {@link SharedProperties} set by the system.
 */
public class SharedPropertiesFactory {
	private static final SharedProperties SHARED_PROPERTIES = new SystemPropertiesServiceLoader()
			.getService(SharedProperties.class);

	private SharedPropertiesFactory() {
	}

	/**
	 * Gets the global {@link SharedProperties}.
	 *
	 * @return the global {@link SharedProperties}.
	 */
	public static SharedProperties getSharedProperties() {
		return SHARED_PROPERTIES;
	}
}
